["YUNG's Better Mineshafts"]
	# Whether or not vanilla mineshafts should be disabled.
	# Default: true
	"Disable Vanilla Mineshafts" = true
	# The lowest a mineshaft can spawn.
	# Default: -55
	"Minimum y-coordinate" = -55
	# The highest a mineshaft can spawn.
	# Default: 30
	#
	"Maximum y-coordinate" = 30

	###########################################################################################################
	## Ore deposit settings.
	###########################################################################################################
	["YUNG's Better Mineshafts"."Ore Deposits"]
		"Enable Ore Deposits" = true
		# Chance of an ore deposit being cobblestone only.
		# Default: 50
		# Default: 50
		# Range: 0 ~ 100
		"Cobble Spawn Chance (Empty Deposit)" = 50
		# Chance of an ore deposit containing coal.
		# Default: 20
		# Default: 20
		# Range: 0 ~ 100
		"Coal Spawn Chance" = 20
		# Chance of an ore deposit containing iron.
		# Default: 9
		# Default: 9
		# Range: 0 ~ 100
		"Iron Spawn Chance" = 9
		# Chance of an ore deposit containing redstone.
		# Default: 7
		# Default: 7
		# Range: 0 ~ 100
		"Redstone Spawn Chance" = 7
		# Chance of an ore deposit containing gold.
		# Default: 7
		# Default: 7
		# Range: 0 ~ 100
		"Gold Spawn Chance" = 7
		# Chance of an ore deposit containing lapis lazuli.
		# Default: 3
		# Default: 3
		# Range: 0 ~ 100
		"Lapis Spawn Chance" = 3
		# Chance of an ore deposit containing emerald.
		# Default: 3
		# Default: 3
		# Range: 0 ~ 100
		"Emerald Spawn Chance" = 3
		# Chance of an ore deposit containing diamond.
		# Default: 1
		# Default: 1
		# Range: 0 ~ 100
		"Diamond Spawn Chance" = 1

	###########################################################################################################
	## Spawn rates for various mineshaft parts and decorations.
	###########################################################################################################
	["YUNG's Better Mineshafts"."Spawn Rates & More"]
		# The spawn rate for lanterns in the main shaft.
		# Default: .0067
		# Default: 0.0067
		# Range: 0.0 ~ 1.0
		"Lantern Spawn Rate" = 0.0067
		# The spawn rate for torches in small shafts.
		# Default: .02
		# Default: 0.02
		# Range: 0.0 ~ 1.0
		"Torch Spawn Rate" = 0.02
		# The spawn rate for workstation side rooms along the main shaft.
		# Default: .025
		# Default: 0.025
		# Range: 0.0 ~ 1.0
		"Workstation Spawn Rate" = 0.025
		# The spawn rate for workstation cellars below workstations along the main shaft.
		# Default: .25
		# Default: 0.25
		# Range: 0.0 ~ 1.0
		"Workstation Cellar Spawn Rate" = 0.25
		# The spawn rate for smaller tunnels that generate along the main shaft.
		# Default: .07
		# Default: 0.07
		# Range: 0.0 ~ 1.0
		"Small Shaft Spawn Rate" = 0.07
		# The spawn rate for cobwebs.
		# Default: .15
		# Default: 0.15
		# Range: 0.0 ~ 1.0
		"Cobweb Spawn Rate" = 0.15
		# The spawn rate for minecarts holding chests in small shafts.
		# Default: .00125
		# Default: 0.00125
		# Range: 0.0 ~ 1.0
		"Small Shaft Chest Minecart Spawn Rate" = 0.00125
		# The spawn rate for minecarts holding TNT in small shafts.
		# Default: .0025
		# Default: 0.0025
		# Range: 0.0 ~ 1.0
		"Small Shaft TNT Minecart Spawn Rate" = 0.0025
		# The spawn rate for minecarts holding chests in the main shaft.
		# Default: .01
		# Default: 0.01
		# Range: 0.0 ~ 1.0
		"Main Shaft Chest Minecart Spawn Rate" = 0.01
		# The spawn rate for minecarts holding TNT in the main shaft.
		# Default: .0025
		# Default: 0.0025
		# Range: 0.0 ~ 1.0
		"Main Shaft TNT Minecart Spawn Rate" = 0.0025
		# Percent chance of an Abandoned Miners' Outpost to spawn at the end of a small mineshaft tunnel.
		# Default: 2
		# Default: 2
		# Range: 0 ~ 100
		"Abandoned Miners' Outpost Spawn Chance" = 2
		# The number of "pieces" (e.g. straight, turn, ladder, intersection, etc.) in a single small shaft.
		# This determines the overall length of small shafts.
		# Default: 9
		#
		# Default: 9
		# Range: 0 ~ 1000
		"Small Shaft Piece Chain Length" = 9
